<?xml version="1.0" encoding="UTF-8"?>
<#-- Import common macros and functions -->
<#import "macros_common_general.ftl" as com>
<#include "spc_utils.ftl">
<#import "spc_utils.ftl" as spcUtils>
<#import "common_module_classification_and_labelling.ftl" as keyClassifcationAndLabellingInformation>

<#assign locale = "en">
<#assign sysDateTime = .now>
<@com.initializeMainVariables/>
<@com.initiateRelevanceSPC relevance/>

<#-- get dossier header variable to reuse -->
<#assign dossier = _dossierHeader />

 <!-- put in assign the language code as selected in dossier header, and base the hardcoded language output on this.
  The *languageLocale is made global in the spc_utils so that it can be used -->
  <#if dossier.SpecificSubmissions.Language?has_content>
  <#assign firstLanguage = dossier.SpecificSubmissions.Language>
  <#assign localizedPhrase = (iuclid.localizedPhraseDefinitionFor(firstLanguage.code, locale)) />
    <#if localizedPhrase.description?has_content>
      <#global languageLocale>${localizedPhrase.description}</#global>
    <#else>
      <#assign locale = "en">
    </#if>
  </#if>

<book version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude">
<#assign hist = ""/>
<#assign historyList = (getFirstHistoryOnly(_subject))!"" />
<#assign hist><#if historyList?has_content>${historyList.date}<#else>no last modification date</#if></#assign>
<#assign header=[]/>
<#assign header><@spcUtils.staticText "header_family" /></#assign>

  <#assign left_header_text = ''/>
	<#assign central_header_text = "${header}" />
	<#assign right_header_text = 'Last updated: ${hist}'/> 

	<#assign left_footer_text = sysDateTime?string["dd/MM/yyyy"] + " - IUCLID 6 " + iuclid6Version!/>
	<#assign central_footer_text = '' />
	<#assign right_footer_text = ''/>

  <!--translations-->
  <#assign part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single" /></#assign>
  <#assign part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single" /></#assign>
  <#assign part_1_part_2_table2_2_cell1_family><@spcUtils.staticText "part_1_part_2_table2_2_cell1_family" /></#assign>
  <#assign part_1_table1_3_cell2_family_table1_2_cell2_single><@spcUtils.staticText "part_1_table1_3_cell2_family_table1_2_cell2_single" /></#assign>
  <#assign part_1_table1_3_cell3_family_table1_2_cell3_single><@spcUtils.staticText "part_1_table1_3_cell3_family_table1_2_cell3_single" /></#assign>
  <#assign part_1_table1_3_cell4_family_table1_2_cell4_single><@spcUtils.staticText "part_1_table1_3_cell4_family_table1_2_cell4_single" /></#assign>
  <#assign part_1_table1_3_cell5_family_table1_2_cell5_single><@spcUtils.staticText "part_1_table1_3_cell5_family_table1_2_cell5_single" /></#assign>
  <#assign part_1_table1_3_cell6_family_table1_2_cell6_single><@spcUtils.staticText "part_1_table1_3_cell6_family_table1_2_cell6_single" /></#assign>
  <#assign part_1_table1_3_cell7_family_table1_2_cell7_single><@spcUtils.staticText "part_1_table1_3_cell7_family_table1_2_cell7_single" /></#assign>
  <#assign part_1_table1_3_cell2_family_table1_2_cell2_single><@spcUtils.staticText "part_1_table1_3_cell2_family_table1_2_cell2_single" /></#assign>
  <#assign part_2_table4_1_cell1_family_table4_1_cell1_single><@spcUtils.staticText "part_2_table4_1_cell1_family_table4_1_cell1_single"/></#assign>
  <#assign part_2_table4_1_cell2_family_table4_1_cell2_single><@spcUtils.staticText "part_2_table4_1_cell2_family_table4_1_cell2_single"/></#assign>
  <#assign part_2_table4_1_cell3_family_table4_1_cell3_single><@spcUtils.staticText "part_2_table4_1_cell3_family_table4_1_cell3_single"/></#assign>
  <#assign part_2_table4_1_cell4_family_table4_1_cell4_single><@spcUtils.staticText "part_2_table4_1_cell4_family_table4_1_cell4_single"/></#assign>
  <#assign part_2_table4_1_cell5_family_table4_1_cell5_single><@spcUtils.staticText "part_2_table4_1_cell5_family_table4_1_cell5_single"/></#assign>
  <#assign part_2_table4_1_cell6_family_table4_1_cell6_single><@spcUtils.staticText "part_2_table4_1_cell6_family_table4_1_cell6_single"/></#assign>
  <#assign part_2_table4_1_cell7_family_table4_1_cell7_single><@spcUtils.staticText "part_2_table4_1_cell7_family_table4_1_cell7_single"/></#assign>
  <#assign part_2_table4_1_cell8_family_table4_1_cell8_single><@spcUtils.staticText "part_2_table4_1_cell8_family_table4_1_cell8_single"/></#assign>
  <#assign part_2_table7_cell1_family_table1_1_cell1_single><@spcUtils.staticText "part_2_table7_cell1_family_table1_1_cell1_single"/></#assign>
  <#assign part_1_table1_3_cell4_family_table1_2_cell4_single><@spcUtils.staticText "part_1_table1_3_cell4_family_table1_2_cell4_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single"/></#assign>
  <#assign part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single"/></#assign>
  <#assign part_2_chapter_2_family><@spcUtils.staticText "part_2_chapter_2_family"/></#assign>

<info>
<@com.localizeXsl languageLocale />
  <title><para text-align="center" role="large"><@spcUtils.staticText "info_title_family" /></para></title>

	<subtitle>
		<#if _dossierHeader?has_content>
      <#assign dossier = _dossierHeader />
      <para text-align="center" role="medium"><@com.text dossier.name /></para>
    </#if>

    <@com.emptyLine />

	</subtitle>

	<cover>
      <para text-align="justify" role="medium">

      <#if _subject.MixtureName?has_content>
      <emphasis role="bold"><@spcUtils.staticText "cover_page_product_names" />: </emphasis>
      <@com.text _subject.MixtureName />
      <!-- <@spcUtils.staticText "cover_page_last_updated" languageCode />: change this DATE -->
      </#if>

      <@com.emptyLine />
      <emphasis role="bold"><@spcUtils.staticText "cover_page_product_types" />: </emphasis>
      <para><@spcUtils.productTypes usesList /></para>

      <#-- macro to populate dossier header related information -->
      <#if _dossierHeader?has_content>
      <#assign dossier = _dossierHeader />
        <@spcUtils.macroForPopulatingDossierHeader dossier />
      </#if>

      <#if _dossierHeader?has_content>
      <@com.emptyLine />
          <para>
          <emphasis role="bold"><@spcUtils.staticText "cover_page_auth_number" />: </emphasis> <@com.text _dossierHeader.SpecificSubmissions.AuthorisationDetails.AuthorisationNumber/>
          </para>
      </#if>

      <#if _dossierHeader?has_content>
      <@com.emptyLine />
        <para>
        <emphasis role="bold"><@spcUtils.staticText "cover_page_asset_number" />: </emphasis> <@com.text _dossierHeader.SpecificSubmissions.AuthorisationDetails.ReferenceNumber/>
        </para>
      </#if>

      </para>

    </cover>
		<@com.metadataBlock left_header_text central_header_text right_header_text left_footer_text central_footer_text right_footer_text />
</info>

<#------------------------------------>
<#-- START OF CHAPTERS AND SECTIONS -->
<#------------------------------------>
<part>
<title><@spcUtils.staticText "part_1_title_family_chapter_1_single" /></title>
<chapter label="1">
<!-- 1. ADMINISTRATIVE INFORMATION -->
<title role="HEAD-1"><@spcUtils.staticText "chapter_1_family_chapter_1_single" /></title>

  <!-- 1.1 Family name of the product -->
  <section><title role="HEAD-2"><@spcUtils.staticText "section_1.1_family" /></title>
  <#if _subject.MixtureName?has_content>
  <#assign part_1_table1_3_cell2_family_table1_2_cell2_single><@spcUtils.staticText "part_1_table1_3_cell2_family_table1_2_cell2_single" /></#assign>
    <@spcUtils.verticalHeaderTable "placeholder" "isMoreThanOneDoc" _subject "repeatableBlock" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "twoColTable" "${tableID.table_id_1_family}"/>
  </#if>
  </section>

  <!-- 1.2 Product types -->
  <section><title role="HEAD-2"><@spcUtils.staticText "section_1.2_family" /></title>
  <#if usesList?has_content>
    <#assign part_1_table1_2_cell1_part_2_table_1_3_cell1_family><@spcUtils.staticText "part_1_table1_2_cell1_part_2_table_1_3_cell1_family" /></#assign>
    <@spcUtils.verticalHeaderTable "placeholder" isMoreThanOneDoc(usesList) _subject "repeatableBlock" "${part_1_table1_2_cell1_part_2_table_1_3_cell1_family}" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "twoColTable" "${tableID.table_id_2_family}"/>
  </#if>
  </section>

  <!-- 1.3 Authorisation holder -->
  <section><title role="HEAD-1"><@spcUtils.staticText "section_1.3_family_section_1.2_single" /></title>
  <#if _dossierHeader?has_content>
  <#assign submittingLegalEntity = iuclid.getDocumentForKey(_dossierHeader.SpecificSubmissions.AuthorisationDetails.AuthorisationHolder) />
    <#if submittingLegalEntity?has_content>
    <#assign part_1_table1_3_cell1_family_table1_2_cell1_single><@spcUtils.staticText "part_1_table1_3_cell1_family_table1_2_cell1_single" /></#assign>
    <#assign part_1_table1_3_cell2_family_table1_2_cell2_single><@spcUtils.staticText "part_1_table1_3_cell2_family_table1_2_cell2_single" /></#assign>
    <#assign part_1_table1_3_cell3_family_table1_2_cell3_single><@spcUtils.staticText "part_1_table1_3_cell3_family_table1_2_cell3_single" /></#assign>
    <#assign part_1_table1_3_cell4_family_table1_2_cell4_single><@spcUtils.staticText "part_1_table1_3_cell4_family_table1_2_cell4_single" /></#assign>
    <#assign part_1_table1_3_cell5_family_table1_2_cell5_single><@spcUtils.staticText "part_1_table1_3_cell5_family_table1_2_cell5_single" /></#assign>
    <#assign part_1_table1_3_cell6_family_table1_2_cell6_single><@spcUtils.staticText "part_1_table1_3_cell6_family_table1_2_cell6_single" /></#assign>
    <#assign part_1_table1_3_cell7_family_table1_2_cell7_single><@spcUtils.staticText "part_1_table1_3_cell7_family_table1_2_cell7_single" /></#assign>

      <@spcUtils.macroForPopulatingLegalEntity submittingLegalEntity "${tableID.table_id_3}" />
      <@spcUtils.verticalHeaderTable "placeholder" "isMoreThanOneDoc" _subject "repeatableBlock" "${part_1_table1_3_cell1_family_table1_2_cell1_single}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "threeColTable" "${tableID.table_id_3}"/>
    </#if>
  </#if>
  </section>

  <!-- 1.4 Manufacturer(s) of the product -->
  <section><title role="HEAD-1"><@spcUtils.staticText "section_1.4_family_section_1.3_single" /></title>
  <@manufacturerOfTheProduct/>
  </section>

  <!-- 1.5 Manufacturer(s) of the active substance(s) -->
  <section><title role="HEAD-1"><@spcUtils.staticText "section_1.5_family_section_1.4_single" /></title>
  <@manufacturerOfTheActiveSubstanceSection "notMeta" "compositionSummary"/>
  </section>

</chapter>

<chapter label="2">
  <!-- 2. PRODUCT FAMILY COMPOSITION AND FORMULATION -->
  <title><@spcUtils.staticText "chapter_2_family" /></title>
  <#assign repeatableBlock = getSummaryFamilyComposition(mainMixtureCompositionSummaryList "family") />
  <#if repeatableBlock?has_content>
  <!-- 2.1 Qualitative and quantitative information on the composition of the family -->
  <section><title role="HEAD-1"><@spcUtils.staticText "section_2.1_family" /></title>

    <#assign part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single" /></#assign>
    <#assign part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single" /></#assign>
    <#assign part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single" /></#assign>
    <#assign part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single" /></#assign>
    <#assign part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single" /></#assign>
    <#assign part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single" /></#assign>

    <@horizontalHeaderTable repeatableBlock isMoreThanOneDoc(mainMixtureCompositionList) _subject repeatableBlock "${part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single}" "${part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single}" "${part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single}" "${part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single}" "${part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single}" "${part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single}" "sixColTable" "${tableID.table_id_3_family}"/>
  </section>
  </#if>

  <!-- 2.2 Type of formulation -->
  <section><title role="HEAD-1"><@spcUtils.staticText "section_2.2_family_section_2.2_single" /></title>
  <#assign part_1_part_2_table2_2_cell1_family><@spcUtils.staticText "part_1_part_2_table2_2_cell1_family" /></#assign>
  <#assign part_1_table1_3_cell2_family_table1_2_cell2_single><@spcUtils.staticText "part_1_table1_3_cell2_family_table1_2_cell2_single" /></#assign>
  <#assign part_1_table1_3_cell3_family_table1_2_cell3_single><@spcUtils.staticText "part_1_table1_3_cell3_family_table1_2_cell3_single" /></#assign>
  <#assign part_1_table1_3_cell4_family_table1_2_cell4_single><@spcUtils.staticText "part_1_table1_3_cell4_family_table1_2_cell4_single" /></#assign>
  <#assign part_1_table1_3_cell5_family_table1_2_cell5_single><@spcUtils.staticText "part_1_table1_3_cell5_family_table1_2_cell5_single" /></#assign>
  <#assign part_1_table1_3_cell6_family_table1_2_cell6_single><@spcUtils.staticText "part_1_table1_3_cell6_family_table1_2_cell6_single" /></#assign>
  <#assign part_1_table1_3_cell7_family_table1_2_cell7_single><@spcUtils.staticText "part_1_table1_3_cell7_family_table1_2_cell7_single" /></#assign>

  <@spcUtils.verticalHeaderTable "placeholder" "isMoreThanOneDoc" _subject repeatableBlock "${part_1_part_2_table2_2_cell1_family}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "twoColTable" "${tableID.table_id_4_family}"/>
  </section>
</chapter>
</part>

<part>
<title><@spcUtils.staticText "part_2_title_family" /></title>

<#assign summaryMetaSPCcompositions = getSummaryCompositions(mainMixtureCompositionSummaryList "metaspc")>
<#if summaryMetaSPCcompositions?has_content>
  <#list summaryMetaSPCcompositions as metaSPCcompositions>
    <#if metaSPCcompositions?has_content>
    <#assign metaSPCcounter = [] />
    <#assign metaSPCcounter>${metaSPCcompositions?index + 1}</#assign>

      <chapter label="1">
      <!-- 1. META SPC ADMINISTRATIVE INFORMATION -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_1(1)_family" "${metaSPCcounter}"/> <@spcUtils.staticText "part_2_chapter_1(2)_family" /></title>

        <!-- 1.1 Meta SPC identifier -->
        <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_1.1(1)_family" "${metaSPCcounter}"/> <@spcUtils.staticText "part_2_section_1.1(2)_family" /></title>
        <#assign table_1_1_cell><@spcUtils.staticText "part_2_table_1_1_cell1_family" /></#assign>
        <#if mainMixtureCompositionSummaryList?has_content>
          <@spcUtils.verticalHeaderTable metaSPCcounter "isMoreThanOneDoc" _subject metaSPCcompositions "${table_1_1_cell}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "twoColTable" "${tableID.table_id_12_family}"/>
        </#if>
        </section>

        <!-- 1.2 Suffix to the authorisation number -->
        <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_1.2_family" /></title>
        <#assign table_1_2_cell><@spcUtils.staticText "part_2_table_1_2_cell1_family" /></#assign>
        <@spcUtils.verticalHeaderTable metaSPCcounter "isMoreThanOneDoc" _subject metaSPCcompositions "${table_1_2_cell}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "twoColTable" "${tableID.table_id_13_family}"/>
        </section>

        <!-- 1.3 Product type(s) -->
        <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_1.3_family" /></title>
        <#assign table_1_3_cell><@spcUtils.staticText "part_1_table1_2_cell1_part_2_table_1_3_cell1_family" /></#assign>
        <@spcUtils.verticalHeaderTable metaSPCcounter "isMoreThanOneDoc" _subject metaSPCcompositions "${table_1_3_cell}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "twoColTable" "${tableID.table_id_14_family}"/>
        </section>
      </chapter>

      <chapter label="2">
      <!-- 2. META SPC COMPOSITION -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_2_family" /> ${metaSPCcounter}</title>

        <!-- Qualitative and quantitative information on the composition of the meta SPC -->
        <#assign repeatableBlock = getSummaryFamilyComposition(mainMixtureCompositionSummaryList "metaspc") />
        <#if repeatableBlock?has_content>
        <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_2.1_family" "${metaSPCcounter}"/></title>
        <@horizontalHeaderTable metaSPCcompositions.ProductSummaryComposition.Composition isMoreThanOneDoc(mainMixtureCompositionList) _subject repeatableBlock "${part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single}" "${part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single}" "${part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single}" "${part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single}" "${part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single}" "${part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single}" "sixColTable" "${tableID.table_id_5_family}"/>
        </section>
	    </#if>

        <!-- Type(s) of formulation of the meta SPC -->
        <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_2.2_family"  "${metaSPCcounter}"/></title>
        <#assign part2Table2Cell1><@spcUtils.staticText "part_1_part_2_table2_2_cell1_family" /></#assign>
        <@spcUtils.verticalHeaderTable metaSPCcompositions "isMoreThanOneDoc" _subject repeatableBlock "${part2Table2Cell1}" "${part_1_table1_3_cell2_family_table1_2_cell2_single}" "${part_1_table1_3_cell3_family_table1_2_cell3_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "${part_1_table1_3_cell5_family_table1_2_cell5_single}" "${part_1_table1_3_cell6_family_table1_2_cell6_single}" "${part_1_table1_3_cell7_family_table1_2_cell7_single}" "headerPlaceholder" "twoColTable" "${tableID.table_id_6_family}"/>
        </section>
      </chapter>

      <chapter label="3">
      <!-- 3. HAZARD AND PRECAUTIONARY STATEMENTS OF THE META SPC -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_3_family"  "${metaSPCcounter}"/></title>
      <#assign ghsMetaSPC = iuclid.getDocumentForKey(metaSPCcompositions.MetaSPC.ClassificationAndLabelling)/>
      <#if ghsMetaSPC?has_content>
      <#-- headers -->      
      <#assign part_2_table_3_cell1_family_table3_cell1_single><@spcUtils.staticText "part_2_table_3_cell1_family_table3_cell1_single" /></#assign>
      <#assign part_2_table_3_cell2_family_table3_cell2_single><@spcUtils.staticText "part_2_table_3_cell2_family_table3_cell2_single" /></#assign>
      <@spcUtils.macroForPopulatingGhsLabelling metaSPCcompositions "${tableID.table_id_7_family}"/>
      <@spcUtils.verticalHeaderTable metaSPCcompositions "isMoreThanOneDoc" _subject "repeatableBlock" "${part_2_table_3_cell1_family_table3_cell1_single}" "${part_2_table_3_cell2_family_table3_cell2_single}" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "twoColTable" "${tableID.table_id_7_family}"/>
      </#if>
      </chapter>

      <chapter label="4">
      <!-- 4. AUTHORISED USE(S) OF THE META SPC -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_4_family" "${metaSPCcounter}"/></title>
      <#assign useMetaSPC = [] />
      <#list metaSPCcompositions.MetaSPC.AuthorisedUses as usesMetaSPC>
      <#assign useMetaSPC = iuclid.getDocumentForKey(usesMetaSPC)/>
      <#if useMetaSPC?has_content>
        <#assign indexcounter>${usesMetaSPC?index + 1}</#assign>
        <section>
        <title role="HEAD-4"><@spcUtils.staticText "part_2_section_4.1_family_section_4.1_table_single"/> ${indexcounter}</title>
          <@spcUtils.macroForUseData useMetaSPC />
          <#-- headers-->
          <#assign part_2_table4_1_cell1_family_table4_1_cell1_single><@spcUtils.staticText "part_2_table4_1_cell1_family_table4_1_cell1_single"/></#assign>
          <#assign part_2_table4_1_cell2_family_table4_1_cell2_single><@spcUtils.staticText "part_2_table4_1_cell2_family_table4_1_cell2_single"/></#assign>
          <#assign part_2_table4_1_cell3_family_table4_1_cell3_single><@spcUtils.staticText "part_2_table4_1_cell3_family_table4_1_cell3_single"/></#assign>
          <#assign part_2_table4_1_cell4_family_table4_1_cell4_single><@spcUtils.staticText "part_2_table4_1_cell4_family_table4_1_cell4_single"/></#assign>
          <#assign part_2_table4_1_cell5_family_table4_1_cell5_single><@spcUtils.staticText "part_2_table4_1_cell5_family_table4_1_cell5_single"/></#assign>
          <#assign part_2_table4_1_cell6_family_table4_1_cell6_single><@spcUtils.staticText "part_2_table4_1_cell6_family_table4_1_cell6_single"/></#assign>
          <#assign part_2_table4_1_cell7_family_table4_1_cell7_single><@spcUtils.staticText "part_2_table4_1_cell7_family_table4_1_cell7_single"/></#assign>
          <#assign part_2_table4_1_cell8_family_table4_1_cell8_single><@spcUtils.staticText "part_2_table4_1_cell8_family_table4_1_cell8_single"/></#assign>
          <@spcUtils.useDescription "isMoreThanOneDoc" useMetaSPC indexcounter "${part_2_table4_1_cell1_family_table4_1_cell1_single}" "${part_2_table4_1_cell2_family_table4_1_cell2_single}" "${part_2_table4_1_cell3_family_table4_1_cell3_single}" "${part_2_table4_1_cell4_family_table4_1_cell4_single}" "${part_2_table4_1_cell5_family_table4_1_cell5_single}" "${part_2_table4_1_cell6_family_table4_1_cell6_single}" "${part_2_table4_1_cell7_family_table4_1_cell7_single}" "${part_2_table4_1_cell8_family_table4_1_cell8_single}"/>
          <@spcUtils.directionsForUseReferencedByAuthorisedUses useMetaSPC "${tableID.table_id_8_family}"/>
        </section>
      </#if>
      </#list>
      </chapter>

      <chapter label="5">
      <!-- 5. GENERAL DIRECTIONS FOR USE OF THE META SPC -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_5_family" "${metaSPCcounter}"/></title>
        <#-- macro to only get protection measures *protectionMeasuresList* not linked to authorised uses -->
        <#assign generalDirectionsForUseMetaSPC = iuclid.getDocumentForKey(metaSPCcompositions.MetaSPC.InstructionsForUseAndMeasuresToProtect)/>
        <@spcUtils.directionsForUseForMetaSPC generalDirectionsForUseMetaSPC "${tableID.table_id_8_family}" />
      </chapter>

      <chapter label="6">
      <!-- 6. OTHER INFORMATION -->
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_6_family_part_2_chapter_6_single" /></title>
      <#assign otherInformationForUseMetaSPC = iuclid.getDocumentForKey(metaSPCcompositions.MetaSPC.SummaryAndEvaluation)/>
      <@spcUtils.otherInformation otherInformationForUseMetaSPC "${tableID.table_id_9_family}" />
      </chapter>

      <!-- 7. THIRD INFORMATION LEVEL: INDIVIDUAL PRODUCTS IN THE META SPC -->
      <chapter label="7">
      <title role="HEAD-1"><@spcUtils.staticText "part_2_chapter_7_family" /></title>
      <!-- List through products in meta spc -->
      <#if metaSPCcompositions.ProductCompositions.ProductCompositions?has_content>
      <#list metaSPCcompositions.ProductCompositions.ProductCompositions as productCompositions>
      <#if productCompositions?has_content>
        <!-- get key for those products -->
        <#assign productComposition = iuclid.getDocumentForKey(productCompositions)/>
        <#if productComposition?has_content>
        <#assign productArray = [] />
        <#assign productArray = productArray + [productComposition] />
          <!-- get components of the products ready for output in table -->
          <#assign repeatableBlock = spcUtils.getComponents(productComposition, "${tableID.table_id_10_family}")/>
          <#if repeatableBlock?has_content>

          <#-- headers-->
          <#assign part_2_table7_cell1_family_table1_1_cell1_single><@spcUtils.staticText "part_2_table7_cell1_family_table1_1_cell1_single"/></#assign>
          <#assign part_1_table1_3_cell4_family_table1_2_cell4_single><@spcUtils.staticText "part_1_table1_3_cell4_family_table1_2_cell4_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single"/></#assign>
          <#assign part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single><@spcUtils.staticText "part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single"/></#assign>

            <section><title role="HEAD-1"><@spcUtils.staticText "part_2_section_7.1_family" /></title>
            <@spcUtils.verticalHeaderTable productArray "isMoreThanOneDoc" _subject repeatableBlock "${part_2_table7_cell1_family_table1_1_cell1_single}" "${part_1_table1_3_cell4_family_table1_2_cell4_single}" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "headerPlaceholder" "threeColTable" "${tableID.table_id_11_family}"/>
            <@spcUtils.horizontalHeaderTable repeatableBlock isMoreThanOneDoc(mainMixtureCompositionList) _subject repeatableBlock "${part_1_part_2_table2_1_table7_cell1_family_table2_1_cell1_single}" "${part_1_part_2_table2_1_table7_cell2_family_table2_1_cell2_single}" "${part_1_part_2_table2_1_table7_cell3_family_table2_1_cell3_single}" "${part_1_part_2_table2_1_table7_cell4_family_table2_1_cell4_single}" "${part_1_part_2_table2_1_table7_cell5_family_table2_1_cell5_single}" "${part_1_part_2_table2_1_table7_cell6_family_table2_1_cell6_single}" "sixColTable" "${tableID.table_id_10_family}"/>
            </section>
          </#if>
        </#if>
      </#if>
      </#list>
      </#if>
      </chapter>

    </#if>
  </#list>
</#if>
</part>

<#function getFirstHistoryOnly _subject>
<#attempt>
<#local historyList = iuclid.getHistoryForDocumentKey(_subject.documentKey) />
		
	<#if historyList?? && historyList?has_content>		
		<#list historyList as history>	
			<#if !(history)?has_content>
				<#return [] />	
				<#else/>
					<#return historyList[0] />					
			</#if>
		</#list>
	</#if>	
			
	<#recover>
		
	<#return [] />	
</#attempt>
	<#return [] />			
</#function>	
</book>
